/**
 * ProjectLaogai
 *
 * Copyright 2019-2020  <seil0@mosad.xyz>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 */

package org.mosad.seil0.projectlaogai.uicomponents

import android.content.Context
import android.view.View
import android.widget.LinearLayout
import kotlinx.android.synthetic.main.linearlayout_grade.view.*
import org.mosad.seil0.projectlaogai.R

class GradeLinearLayout(context: Context?): LinearLayout(context) {

    var subjectName = ""
    var grade = ""
    var subSubjectName = ""
    var subGrade = ""

    init {
        inflate(context, R.layout.linearlayout_grade, this)
    }

    fun set(func: GradeLinearLayout.() -> Unit): GradeLinearLayout = apply {
        func()

        txtView_subject.text = subjectName
        txtView_grade.text = grade
        txtView_sub_subject.text = subSubjectName
        txtView_sub_grade.text = subGrade
    }

    fun disableDivider() {
        divider_grade.visibility = View.GONE
    }

    fun disableSubSubject() {
        linLayout_sub_subject.visibility = View.GONE
    }
}